package com.cim.idm.wmspackage.materialpacking.management.data;

import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialPackingFromTQMS extends FieldAccessor {
	private String siteName;
	private String oqaFlag;
	private String materialPackingName;	
	private double materialQuantity;
	private double boxQunlityAmount;
	private double boxUnQunlityAmount;
	
	private String oqaResult;
	private String oqaMethod;//值为MRB
	private String processState;//Holding/Release
	private String reasonCode;
	private String materialProcessGroupName; 
	private String remark;		
	private String code;
	private String message;	
	private String supplierNO;
	private String receiveActNo;	
	public String getReceiveActNo() {
		return receiveActNo;
	}
	public void setReceiveActNo(String receiveActNo) {
		this.receiveActNo = receiveActNo;
	}
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	
	private String materialSpecName;
	private String receiveActNO;

	public String getOqaFlag() {
		return oqaFlag;
	}
	public void setOqaFlag(String oqaFlag) {
		this.oqaFlag = oqaFlag;
	}
	public String getMaterialPackingName() {
		return materialPackingName;
	}
	public void setMaterialPackingName(String materialPackingName) {
		this.materialPackingName = materialPackingName;
	}
	public double getMaterialQuantity() {
		return materialQuantity;
	}
	public void setMaterialQuantity(double materialQuantity) {
		this.materialQuantity = materialQuantity;
	}
	public double getBoxQunlityAmount() {
		return boxQunlityAmount;
	}
	public void setBoxQunlityAmount(double boxQunlityAmount) {
		this.boxQunlityAmount = boxQunlityAmount;
	}
	public double getBoxUnQunlityAmount() {
		return boxUnQunlityAmount;
	}
	public void setBoxUnQunlityAmount(double boxUnQunlityAmount) {
		this.boxUnQunlityAmount = boxUnQunlityAmount;
	}
	public String getOqaResult() {
		return oqaResult;
	}
	public void setOqaResult(String oqaResult) {
		this.oqaResult = oqaResult;
	}
	public String getOqaMethod() {
		return oqaMethod;
	}
	public void setOqaMethod(String oqaMethod) {
		this.oqaMethod = oqaMethod;
	}
	public String getProcessState() {
		return processState;
	}
	public void setProcessState(String processState) {
		this.processState = processState;
	}
	public String getReasonCode() {
		return reasonCode;
	}
	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}
	public String getMaterialProcessGroupName() {
		return materialProcessGroupName;
	}
	public void setMaterialProcessGroupName(String materialProcessGroupName) {
		this.materialProcessGroupName = materialProcessGroupName;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getMessage() {
		return message;
	}
	public void setMessage(String message) {
		this.message = message;
	}
	public String getSupplierNO() {
		return supplierNO;
	}
	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}
	public String getMaterialSpecName() {
		return materialSpecName;
	}
	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	public String getReceiveActNO() {
		return receiveActNO;
	}
	public void setReceiveActNO(String receiveActNO) {
		this.receiveActNO = receiveActNO;
	}
	
		
}
